Subject: Re: [ppsp] Reply on Haibin's comments on problem statement of PPSP

From: Song Haibin <[email-masked]>
Date: Sat, 25 Oct 2008 08:23:51 +0800

Hi Yunfei,

Thanks for your quick response. I would like these questions to be discussed
under the listed subject titles, to avoid too many contents in one email.

As for the bulletin "private protocol" under the title "Problems with p2p
streaming applications", I mean the existing p2p streaming applications like
PPLive mostly use their own private protocols.

Best Regards,
Song Haibin
Email: [email-masked]
Skype: alexsonghw

>-----Original Message-----
>From: 张云飞 [mailto:[email-masked]]
>Sent: Friday, October 24, 2008 5:34 PM
>To: Song Haibin; [email-masked]; [email-masked];
>[email-masked]; [email-masked];
>[email-masked]; [email-masked];
>[email-masked]; [email-masked];
[email-masked];
>[email-masked]; [email-masked]; [email-masked];
>[email-masked]; [email-masked]; [email-masked];
>[email-masked]; [email-masked]; [email-masked];
>[email-masked]; [email-masked]
>Subject: Reply on Haibin's comments on problem statement of PPSP
>
>1. Private protocol
>A: I don’t know the exact meaning it refers.
>2. for the communication between CDN and p2p streaming application, CDN
needs
>to implement different protocols for different p2p streaming applications
now?
>A:Currently p2p streaming applications like pplive don’t employ CDN to
>distribute contents yet.The main reason to introduce CDN in such systems is
to
>provide upload supplements to deal with the asymmetrical bandwidth in
upload
>and download in ADSL and cable access environment.
>3.What does PPSP signaling protocol do other then the conventional RTSP,
>SIP,etc?
>A:The position of PPSP is the same as RTSP. The relationship between PPSP
and
>RTSP is just like P2PSIP and SIP. Meanwhile PPSP may include gossip
communication
>among peers, which is beyond the RTSP.
>4. The requirement of the protocol spoken between CDN and p2p streaming
>applications? Any existing protocol can do it?
>A:The requirements may include:
>1) It’s a universal protocol that can know different p2p streaming
>applications( even the existing ones who don’t use PPSP yet) and different
CDN
>environments( including traditional CDN, P2P CDN, hybrid CDN).
>2) The user( p2p streaming application) provides some parameters (QoS，
traffic
>and pricing policy) to CDN interface to deliver streaming with certain
>requirements
>5. What are the distinct features of the PPSP transfer protocol spoken
between
>peers, compared with RTP?
>A:PPSP transfer protocol is spoken not only among peers, but also among
peers
>and CDN nodes or CDN nodes themselves. RTP can be used in PPSP transfer
protocol,
>but it’s not the only protocol supported. TCP, UDP can also be used here.
In
>addition, PPSP transfer protocol need to define the cache management in
peers,
>peer selection procedure, etc.
>6.Based on p2psip or not?
>A: No, ppsp is an independent protocol to define the p2p streaming
interaction
>both in signaling and in transfer. P2PSIP can be reused in PPSP to find a
peer
>or a chunk.
>
>
>          致
>礼！
>        张云飞
>     中国移动通信研究院
>         2008-10-24
>
>  Best regards!
>  Sincerely yours,
>  Yunfei Zhang
>*****************************************************
>
>Yunfei Zhang, Ph.D.
>
>R&D, CHINA MOBILE COMMUNICATIONS CORPORATION
>
>Tel: +86 10 158016966688 ext. 3247
>
>Fax: +86 10 63601087
>
>MOBILE: 1360-1032-119
>
>*****************************************************
>
>
>-------------------------------------------------------------
>发件人：Song Haibin
>发送日期：2008-10-23 10:56:53
>收件人：[email-masked]; [email-masked];
[email-masked];
>[email-masked]; [email-masked];
>[email-masked]; [email-masked];
>[email-masked]; [email-masked];
[email-masked];
>[email-masked]; [email-masked]; [email-masked];
>[email-masked]; [email-masked]; [email-masked];
>[email-masked]; [email-masked]; [email-masked];
>[email-masked]; [email-masked]
>抄送：
>主题：PPSP transfer protocol
>
>1. The requirement of the protocol spoken between CDN and p2p streaming
>applications? Any existing protocol can do it?
>
>2. What are the distinct features of the PPSP transfer protocol spoken
>between peers, compared with RTP?
>
>Best Regards,
>Song Haibin
>Email: [email-masked]
>Skype: alexsonghw
>
>
>
>>-----Original Message-----
>>From: [email-masked] [mailto:[email-masked]]
>>Sent: Tuesday, October 21, 2008 11:22 PM
>>To: [email-masked]; [email-masked]; [email-masked];
>>[email-masked]; [email-masked];
>>[email-masked]; [email-masked]; [email-masked];
>>[email-masked]; [email-masked]; [email-masked];
>>[email-masked]; [email-masked]; [email-masked];
>>[email-masked]; [email-masked]; [email-masked];
>>[email-masked]; [email-masked]; [email-masked]
>>Subject: [PPSP]problem statement of PPSP
>>
>>Hi,all.
>>    This is Yunfei from China Mobile.First of all thanks for all of your
>sincere
>>help and contributions in building up PPSP mailing list,esp. for
>Lars,Cullen
>>and Lisa's guidance.
>>   Hope this mailing list can be a good venue to discuss peer to peer
>streaming
>>issues and finally contribute fruitful drafts to IETF.
>>   Unfortunately there is a small problem in the interaction between
IETF's
>mail
>>server and China Mobile's mail server.So I cannot post in PPSP by my
>working
>>email temporarily.This is why this email delays so much time.Sorry for the
>>inconvenience to all of you.I have contacted with IETF network
>administrator
>>for this problem but it may need some time.
>>  Attached is an initial version of problem statement of PPSP.Suggestions
>and
>>comments are highly desired. Thanks in advance.
>>
>> Best regards!
>>  Sincerely yours,
>>  Yunfei Zhang
>>    2008-10-15
>>*****************************************************
>>
>>Yunfei Zhang, Ph.D.
>>
>>R&D, CHINA MOBILE COMMUNICATIONS CORPORATION
>>
>>Tel: +86 10 158016966688 ext. 3247
>>
>>Fax: +86 10 63601087
>>
>>MOBILE: 1360-1032-119
>>
>>*****************************************************
>>
>>
>>-------------------------------------------------------------
>

_______________________________________________
ppsp mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ppsp